Pular para o conteúdo principal
GET
JavaScript

Autorizações

Authorization
string
header
obrigatório

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Parâmetros de caminho

refund_id
string
obrigatório

Refund Id

Resposta

brand_id
string
obrigatório

Brand id this refund belongs to

business_id
string
obrigatório

The unique identifier of the business issuing the refund.

created_at
string<date-time>
obrigatório

The timestamp of when the refund was created in UTC.

customer
object
obrigatório

Details about the customer for this refund (from the associated payment)

is_partial
boolean
obrigatório

If true the refund is a partial refund

metadata
Metadata · object
obrigatório

Additional metadata stored with the refund.

payment_id
string
obrigatório

The unique identifier of the payment associated with the refund.

refund_id
string
obrigatório

The unique identifier of the refund.

status
enum<string>
obrigatório

The current status of the refund.

Opções disponíveis:
succeeded,
failed,
pending,
review
amount
integer<int32> | null

The refunded amount.

currency
null | enum<string>

The currency of the refund, represented as an ISO 4217 currency code.

Opções disponíveis:
AED,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BWP,
BYN,
BZD,
CAD,
CHF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHP,
SLE,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SZL,
THB,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW
network_reference
string | null

The reference number that the card network or the bank gives to the refund. The customer can give this number to their bank to trace the refund. It is null until the reference is available.

network_reference_type
null | enum<string>

The kind of network_reference: ARN, STAN or RRN.

Opções disponíveis:
acquirer_reference_number,
system_trace_audit_number,
retrieval_reference_number,
other
network_reference_updated_at
string<date-time> | null

The time in UTC when network_reference became available. It is null when the reference is not available, or when it became available before this field existed.

reason
string | null

The reason provided for the refund, if any. Optional.

Última modificação em 1 de abril de 2026